Package ru.bitel.oss.kernel.directories.address.common.bean

# Class House

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.kernel.directories.address.common.bean.House

All Implemented Interfaces:
  `Serializable`, `Idable`

public class House extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `House.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `House()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static House.Builder`
  `builder()`
  `static House`
  `from(House house)`
  `int`
  `getAmount()`
  `IdTitle`
  `getArea()`
  `IdTitle`
  `getCity()`
  `String`
  `getComment()`
  `IdTitle`
  `getCountry()`
  `String`
  `getFrac()`
  `int`
  `getHouse()`
  `static Object[]`
  `getHouseAndFrac(String houseAndFrac)`
  `String`
  `getHouseFrac()`
  `Map<String,String>`
  `getParams()`
  `String`
  `getPostIndex()`
  `IdTitle`
  `getQuarter()`
  `IdTitle`
  `getStreet()`
  `Optional<IdTitle>`
  `optArea()`
  `Optional<IdTitle>`
  `optCity()`
  `Optional<IdTitle>`
  `optCountry()`
  `Optional<IdTitle>`
  `optQuarter()`
  `Optional<IdTitle>`
  `optStreet()`
  `House`
  `setAmount(int amount)`
  `House`
  `setArea(IdTitle area)`
  `House`
  `setAreaId(int id)`
  `House`
  `setCity(IdTitle city)`
  `House`
  `setCityId(int id)`
  `House`
  `setComment(String comment)`
  `House`
  `setCountry(IdTitle country)`
  `House`
  `setFrac(String frac)`
  `House`
  `setHouse(int house)`
  `House`
  `setHouseAndFrac(String houseAndFrac)`
  `House`
  `setParams(Map<String,String> params)`
  `House`
  `setPostIndex(String postIndex)`
  `House`
  `setQuarter(IdTitle quarter)`
  `House`
  `setQuarterId(int id)`
  `House`
  `setStreet(IdTitle street)`
  `House`
  `setStreetId(int id)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### House

    public House()

- ## Method Details

  - ### getCountry

    public IdTitle getCountry()

  - ### optCountry

    public Optional<IdTitle> optCountry()

  - ### setCountry

    public House setCountry(IdTitle country)

  - ### getCity

    public IdTitle getCity()

  - ### optCity

    public Optional<IdTitle> optCity()

  - ### setCity

    public House setCity(IdTitle city)

  - ### getArea

    public IdTitle getArea()

  - ### optArea

    public Optional<IdTitle> optArea()

  - ### setArea

    public House setArea(IdTitle area)

  - ### getStreet

    public IdTitle getStreet()

  - ### optStreet

    public Optional<IdTitle> optStreet()

  - ### setStreet

    public House setStreet(IdTitle street)

  - ### getQuarter

    public IdTitle getQuarter()

  - ### optQuarter

    public Optional<IdTitle> optQuarter()

  - ### setQuarter

    public House setQuarter(IdTitle quarter)

  - ### setCityId

    public House setCityId(int id)

  - ### setStreetId

    public House setStreetId(int id)

  - ### setAreaId

    public House setAreaId(int id)

  - ### setQuarterId

    public House setQuarterId(int id)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public House setHouse(int house)

  - ### getFrac

    public String getFrac()

  - ### setFrac

    public House setFrac(String frac)

  - ### setHouseAndFrac

    public House setHouseAndFrac(String houseAndFrac)

  - ### getHouseAndFrac

    public static Object[] getHouseAndFrac(String houseAndFrac)

  - ### getHouseFrac

    public String getHouseFrac()

  - ### getComment

    public String getComment()

  - ### setComment

    public House setComment(String comment)

  - ### getPostIndex

    public String getPostIndex()

  - ### setPostIndex

    public House setPostIndex(String postIndex)

  - ### getAmount

    public int getAmount()

  - ### setAmount

    public House setAmount(int amount)

  - ### getParams

    public Map<String,String> getParams()

  - ### setParams

    public House setParams(Map<String,String> params)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### from

    public static House from(House house)

  - ### builder

    public static House.Builder builder()